@ECHO OFF
IF "%1"=="" GOTO ERREXIT
IF "%2"=="" GOTO ERREXIT

CLS
ECHO.
ECHO You are about to install MS-DOS 6.22 on destination drive %2 ...
ECHO Is this correct?
%1\DOS\CHOICE
IF ERRORLEVEL 2 GOTO NOINSTALL
IF ERRORLEVEL 1 GOTO INSTALL
GOTO NOINSTALL

:INSTALL
REM *********************************************************************
REM SYS the destination disk
REM *********************************************************************

ECHO.
ECHO Copying MS-DOS System Files from drive %1 to drive %2 ...
ECHO.
%1\DOS\SYS %1\ %2

REM *********************************************************************
REM Select typical or minimal installation
REM *********************************************************************
ECHO.
ECHO Do you want to install all the MS-DOS utilities?  Select "Y"
ECHO to do a typical installation of the most-used MS-DOS utilities,
ECHO which uses about 1 MB of disk space (recommended only for
ECHO hard drive systems).  Select "N" to do a minimal install of only
ECHO a few MS-DOS utilities (recommended for Compact Flash systems).
ECHO.
ECHO Do you want to install all the MS-DOS utilities?
%1\DOS\CHOICE
IF ERRORLEVEL 2 GOTO MININSTALL
IF ERRORLEVEL 1 GOTO TYPINSTALL

:MININSTALL
REM *********************************************************************
REM Copy the basic MS-DOS utilities to a DOS directory
REM *********************************************************************

ECHO.
ECHO Copying minimal MS-DOS Utilities from drive %1 to drive %2 ...
MD %2\DOS
COPY %1\DOS\HIMEM.SYS %2\DOS /V
COPY %1\DOS\EMM386.EXE %2\DOS /V
COPY %1\DOS\MODE.COM %2\DOS /V
COPY %1\DOS\MEM.EXE %2\DOS /V
COPY %1\DOS\CHKDSK.EXE %2\DOS /V
COPY %1\DOS\MSCDEX.EXE %2\DOS /V
GOTO FINISH

:TYPINSTALL
REM *********************************************************************
REM Copy all the MS-DOS utilities to a DOS directory
REM *********************************************************************

ECHO.
ECHO Copying all MS-DOS Utilities from drive %1 to drive %2 ...
MD %2\DOS
COPY %1\DOS\*.* %2\DOS /V
GOTO FINISH

:FINISH
ECHO.
ECHO MS-DOS installation complete!
ECHO.
GOTO END

:NOINSTALL
ECHO.
ECHO MS-DOS 6.22 was NOT installed.
ECHO.
GOTO END

:ERREXIT
ECHO.
ECHO INSTALLATION ERROR - Source and Destination drives not specified
ECHO.
ECHO    Syntax:
ECHO       INSTALL source: destination:
ECHO.
ECHO    For example, to install from drive A to drive C:
ECHO       INSTALL A: C:
ECHO.

:END

